@echo bygreencn@gmail.com

@echo 批量将本目录中的所有C++文件用Astyle进行代码美化操作

@echo 2009-01-05

@echo 设置Astyle命令位置和参数

@echo off

set astyle="D:\Program Files\Source Insight 3\AStyle\bin\astyle.exe"



@echo 循环遍历目录

for /r . %%a in (*.cpp;*.c) do %astyle% --style=ansi  -f  -p -P -U -v -n -N "%%a"

for /r . %%a in (*.hpp;*.h) do %astyle% --style=ansi  -f  -p -P -U -v -n -N "%%a"

REM 删除所有的astyle生成文件

for /r . %%a in (*.orig) do del "%%a"

pause